com.gisgraphy.webapp.action

## Class ImportConfirmAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.ImportConfirmAction

- All Implemented Interfaces:
    com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class ImportConfirmAction
      extends com.opensymphony.xwork2.ActionSupport

  Action that retrieve the configuration and
  Author:
    David Masclet
  See Also:
    `ImporterManager`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `CHECK_CONFIG_VIEW_NAME`
    `protected static String` | `ERRORCONFIG`
    `protected static String` | `IMPORT_VIEW_NAME`
    `static String` | `STATUS`
    `static String` | `STEP_BASE_VIEW_NAME`

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportConfirmAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `checkConfig()`
    `String` | `doImport()`
    `String` | `execute()`
    `Map<String,String>` | `getConfigValuesMap()`
    `List<String>` | `getCountryCodes()`
    `String` | `getErrorMessage()`
    `String` | `getFulltextSearchEngineURL()`
    `ImporterConfig` | `getImporterConfig()`
    `int` | `getNumberOfProcessors()`
    `List<String>` | `getPlacetypes()`
    `String[]` | `getPlacetypesList()`
    `int` | `getStep()`
    `boolean` | `isConfigGotProblems()`
    `boolean` | `isConfigOk()`
    `boolean` | `isDownloadDirectoryAccessible()`
    `boolean` | `isFillIsInEnabled()`
    `boolean` | `isFulltextSearchEngineAlive()`
    `boolean` | `isGeonamesImporterEnabled()`
    `boolean` | `isHousenumberImporterEnabled()`
    `boolean` | `isImportallcountries()`
    `boolean` | `isImportallplacetype()`
    `boolean` | `isImportEmbededAlternateNames()`
    `boolean` | `isOpenStreetMapDownloadDirectoryAccessible()`
    `boolean` | `isOpenStreetMapImporterEnabled()`
    `boolean` | `isQuattroshapesImporterEnabled()`
    `boolean` | `isRegexpCorrects()`
    `boolean` | `isRetrieveFileEnable()`
    `protected void` | `setConfig()`
    `void` | `setConfigGotProblems(boolean configGotProblems)`
    `void` | `setCountryCodes(List<String> countryCodes)`
    `void` | `setFillIsInEnabled(boolean fillIsInEnabled)`
    `void` | `setFullTextSearchEngine(com.gisgraphy.fulltext.IFullTextSearchEngine fullTextSearchEngine)`
    `void` | `setGeonamesImporterEnabled(boolean geonamesImporterEnabled)` Enable / Disable Geonames importer
    `void` | `setHousenumberImporterEnabled(boolean housenumberImporterEnabled)` Enable / Disable housenumber importer
    `void` | `setImportallcountries(boolean importallcountries)`
    `void` | `setImportallplacetype(boolean importallplacetype)`
    `void` | `setImportEmbededAlternateNames(boolean importEmbededAlternateNames)`
    `void` | `setImporterConfig(ImporterConfig importerConfig)`
    `void` | `setImporterManager(IImporterManager importerManager)`
    `void` | `setOpenStreetMapImporterEnabled(boolean openStreetMapImporter)` Enable / Disable OpenStreetMap importer
    `void` | `setPlacetypes(List<String> placetypes)`
    `void` | `setQuattroshapesImporterEnabled(boolean quattroshapesImporterEnabled)` Enable / Disable quattroshpaes importer
    `void` | `setRetrieveFileEnable(boolean isRetrieveFileEnable)`
    `void` | `setStep(int step)`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMPORT_VIEW_NAME

          protected static final String IMPORT_VIEW_NAME

      See Also:
        Constant Field Values

    - #### CHECK_CONFIG_VIEW_NAME

          protected static final String CHECK_CONFIG_VIEW_NAME

      See Also:
        Constant Field Values

    - #### ERRORCONFIG

          protected static final String ERRORCONFIG

      See Also:
        Constant Field Values

    - #### STATUS

          public static final String STATUS

      See Also:
        Constant Field Values

    - #### STEP_BASE_VIEW_NAME

          public static final String STEP_BASE_VIEW_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImportConfirmAction

          public ImportConfirmAction()

  - ### Method Detail

    - #### execute

          public String execute()
                         throws Exception

      Specified by:
        `execute` in interface `com.opensymphony.xwork2.Action`
      Overrides:
        `execute` in class `com.opensymphony.xwork2.ActionSupport`
      Throws:
        `Exception`

    - #### checkConfig

          public String checkConfig()

    - #### getPlacetypesList

          public String[] getPlacetypesList()

    - #### doImport

          public String doImport()
                          throws Exception

      Throws:
        `Exception`

    - #### setConfig

          protected void setConfig()

    - #### getNumberOfProcessors

          public int getNumberOfProcessors()

    - #### getImporterConfig

          public ImporterConfig getImporterConfig()

      Returns:
        the importerConfig

    - #### isDownloadDirectoryAccessible

          public boolean isDownloadDirectoryAccessible()

      Returns:
        true if the directory with the file to import exists and is accessible

    - #### isOpenStreetMapDownloadDirectoryAccessible

          public boolean isOpenStreetMapDownloadDirectoryAccessible()

      Returns:
        true if the directory with the file to import exists and is accessible

    - #### isRegexpCorrects

          public boolean isRegexpCorrects()

      Returns:
        true if the regexp of the feature class/ code are correct

    - #### isFulltextSearchEngineAlive

          public boolean isFulltextSearchEngineAlive()

      Returns:
        true if he fulltext search engine is alive

    - #### getFulltextSearchEngineURL

          public String getFulltextSearchEngineURL()

      Returns:
        true if he fulltext search engine is alive

    - #### isGeonamesImporterEnabled

          public boolean isGeonamesImporterEnabled()

      Returns:
        true if the Geonames importer is enabled

    - #### setGeonamesImporterEnabled

          public void setGeonamesImporterEnabled(boolean geonamesImporterEnabled)

      Enable / Disable Geonames importer

    - #### isOpenStreetMapImporterEnabled

          public boolean isOpenStreetMapImporterEnabled()

      Returns:
        true if he openStreetMap importer is enabled

    - #### setOpenStreetMapImporterEnabled

          public void setOpenStreetMapImporterEnabled(boolean openStreetMapImporter)

      Enable / Disable OpenStreetMap importer

    - #### isHousenumberImporterEnabled

          public boolean isHousenumberImporterEnabled()

      Returns:
        true if the house number importer is enabled

    - #### setHousenumberImporterEnabled

          public void setHousenumberImporterEnabled(boolean housenumberImporterEnabled)

      Enable / Disable housenumber importer

    - #### isQuattroshapesImporterEnabled

          public boolean isQuattroshapesImporterEnabled()

      Returns:
        true if the quattroshapes importer is enabled

    - #### setQuattroshapesImporterEnabled

          public void setQuattroshapesImporterEnabled(boolean quattroshapesImporterEnabled)

      Enable / Disable quattroshpaes importer

    - #### setImporterManager

          public void setImporterManager(IImporterManager importerManager)

      Parameters:
        `importerManager` - the importerManager to set

    - #### setFullTextSearchEngine

          public void setFullTextSearchEngine(com.gisgraphy.fulltext.IFullTextSearchEngine fullTextSearchEngine)

      Parameters:
        `fullTextSearchEngine` - the fullTextSearchEngine to set

    - #### setImporterConfig

          public void setImporterConfig(ImporterConfig importerConfig)

    - #### getConfigValuesMap

          public Map<String,String> getConfigValuesMap()

    - #### getErrorMessage

          public String getErrorMessage()

    - #### isImportallcountries

          public boolean isImportallcountries()

    - #### setImportallcountries

          public void setImportallcountries(boolean importallcountries)

    - #### isImportallplacetype

          public boolean isImportallplacetype()

    - #### setImportallplacetype

          public void setImportallplacetype(boolean importallplacetype)

    - #### setPlacetypes

          public void setPlacetypes(List<String> placetypes)

    - #### getPlacetypes

          public List<String> getPlacetypes()

    - #### getCountryCodes

          public List<String> getCountryCodes()

    - #### setCountryCodes

          public void setCountryCodes(List<String> countryCodes)

    - #### getStep

          public int getStep()

    - #### setStep

          public void setStep(int step)

    - #### isImportEmbededAlternateNames

          public boolean isImportEmbededAlternateNames()

    - #### setImportEmbededAlternateNames

          public void setImportEmbededAlternateNames(boolean importEmbededAlternateNames)

    - #### isFillIsInEnabled

          public boolean isFillIsInEnabled()

    - #### setFillIsInEnabled

          public void setFillIsInEnabled(boolean fillIsInEnabled)

    - #### isRetrieveFileEnable

          public boolean isRetrieveFileEnable()

    - #### setRetrieveFileEnable

          public void setRetrieveFileEnable(boolean isRetrieveFileEnable)

    - #### isConfigOk

          public boolean isConfigOk()

    - #### isConfigGotProblems

          public boolean isConfigGotProblems()

    - #### setConfigGotProblems

          public void setConfigGotProblems(boolean configGotProblems)

Copyright © 2015. All rights reserved.